diff -Naur fontconfig-2.5.91/conf.d/00-frugalware.conf fontconfig-2.5.91-p/conf.d/00-frugalware.conf
--- fontconfig-2.5.91/conf.d/00-frugalware.conf	1970-01-01 01:00:00.000000000 +0100
+++ fontconfig-2.5.91-p/conf.d/00-frugalware.conf	2008-01-18 01:18:59.000000000 +0100
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<fontconfig>
+
+	<dir>/usr/share/fonts</dir>
+	<dir>/usr/lib/X11/fonts</dir>
+	<dir>/usr/share/cups/fonts</dir>
+	<dir>/usr/lib/ooo-2.0/share/fonts</dir>
+	<dir>/usr/share/ghostscript/fonts</dir>
+	<dir>/usr/lib/java/jre/lib/fonts</dir>
+	<dir>/usr/share/imlib2/data/fonts</dir>
+
+</fontconfig>
diff -Naur fontconfig-2.5.91/conf.d/10-fw-autohinting.conf fontconfig-2.5.91-p/conf.d/10-fw-autohinting.conf
--- fontconfig-2.5.91/conf.d/10-fw-autohinting.conf	1970-01-01 01:00:00.000000000 +0100
+++ fontconfig-2.5.91-p/conf.d/10-fw-autohinting.conf	2008-01-18 01:18:59.000000000 +0100
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<!-- debian/autohint.conf -->
+<fontconfig>
+<match target="pattern">
+   <edit name="autohint" mode="assign"><bool>false</bool></edit>
+</match>
+<match target="pattern">
+   <edit name="antialias"  mode="assign"><bool>true</bool></edit>
+</match>
+<match target="pattern">
+   <test name="weight" compare="more" qual="any"><const>medium</const></test>
+   <edit name="autohint" mode="assign"><bool>false</bool></edit>
+</match>
+</fontconfig>
diff -Naur fontconfig-2.5.91/conf.d/30-fw-urw.conf fontconfig-2.5.91-p/conf.d/30-fw-urw.conf
--- fontconfig-2.5.91/conf.d/30-fw-urw.conf	1970-01-01 01:00:00.000000000 +0100
+++ fontconfig-2.5.91-p/conf.d/30-fw-urw.conf	2008-01-18 01:18:59.000000000 +0100
@@ -0,0 +1,145 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<fontconfig>
+
+	<!--
+		Enable prefer_outline
+	-->
+	<match target="pattern">
+		<edit name="prefer_outline">
+			<bool>true</bool>
+		</edit>
+	</match>
+
+	<!-- 
+		Alias for Symbol font available to URW fonts
+	-->
+	<alias>
+		<family>Symbol</family>
+		<accept><family>Standard Symbols L</family></accept>
+	</alias>
+
+	<!--
+		Replacement using URW fonts
+	-->
+	<match target="pattern">
+		<test name="prefer_outline">
+			<bool>true</bool>
+		</test>
+		<test name="family">
+			<string>Helvetica</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Nimbus Sans L</string>
+		</edit>
+	</match>
+
+	<match target="pattern">
+		<test name="prefer_outline">
+			<bool>true</bool>
+		</test>
+		<test name="family">
+			<string>Palatino</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>URW Palladio L</string>
+		</edit>
+	</match>
+
+	<match target="pattern">
+		<test name="prefer_outline">
+			<bool>true</bool>
+		</test>
+		<test name="family">
+			<string>ITC Bookman</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>URW Bookman L</string>
+		</edit>
+	</match>
+
+	<match target="pattern">
+		<test name="prefer_outline">
+			<bool>true</bool>
+		</test>
+		<test name="family">
+			<string>Courier</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Nimbus Mono L</string>
+		</edit>
+	</match>
+
+	<match target="pattern">
+		<test name="prefer_outline">
+			<bool>true</bool>
+		</test>
+		<test name="family">
+			<string>ITC Avant Garde Gothic</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>URW Gothic L</string>
+		</edit>
+	</match>
+
+	<match target="pattern">
+		<test name="prefer_outline">
+			<bool>true</bool>
+		</test>
+		<test name="family">
+			<string>New Century Schoolbook</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Century Schoolbook L</string>
+		</edit>
+	</match>
+
+	<match target="pattern">
+		<test name="prefer_outline">
+			<bool>true</bool>
+		</test>
+		<test name="family">
+			<string>Times</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Nimbus Roman No9 L</string>
+		</edit>
+	</match>
+
+	<match target="pattern">
+		<test name="prefer_outline">
+			<bool>true</bool>
+		</test>
+		<test name="family">
+			<string>Symbol</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Standard Symbols L</string>
+		</edit>
+	</match>
+
+	<match target="pattern">
+		<test name="prefer_outline">
+			<bool>true</bool>
+		</test>
+		<test name="family">
+			<string>ITC Zapf Chancery</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>URW Chancery L</string>
+		</edit>
+	</match>
+
+	<match target="pattern">
+		<test name="prefer_outline">
+			<bool>true</bool>
+		</test>
+		<test name="family">
+			<string>ITC Zapf Dingbats</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Dingbats</string>
+		</edit>
+	</match>
+
+</fontconfig>
diff -Naur fontconfig-2.5.91/conf.d/70-fw-no-bitmap.conf fontconfig-2.5.91-p/conf.d/70-fw-no-bitmap.conf
--- fontconfig-2.5.91/conf.d/70-fw-no-bitmap.conf	1970-01-01 01:00:00.000000000 +0100
+++ fontconfig-2.5.91-p/conf.d/70-fw-no-bitmap.conf	2008-01-18 01:18:59.000000000 +0100
@@ -0,0 +1,142 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<fontconfig>
+
+	<!-- Courier -->
+	<match target="pattern">
+		<test name="family">
+			<string>Courier</string>
+		</test>
+		<test name="foundry">
+			<string>Adobe</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Nimbus Mono L</string>
+		</edit>
+		<edit name="foundry" mode="prepend" binding="same">
+			<string>URW</string>
+		</edit>
+	</match>
+
+	<!-- Helvetica -->
+	<match target="pattern">
+		<test name="family">
+			<string>Helvetica</string>
+		</test>
+		<test name="foundry">
+			<string>Adobe</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Nimbus Sans L</string>
+		</edit>
+		<edit name="foundry" mode="prepend" binding="same">
+			<string>URW</string>
+		</edit>
+	</match>
+
+	<!-- New Century Schoolbook -->
+	<match target="pattern">
+		<test name="family">
+			<string>New Century Schoolbook</string>
+		</test>
+		<test name="foundry">
+			<string>Adobe</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Century Schoolbook L</string>
+		</edit>
+		<edit name="foundry" mode="prepend" binding="same">
+			<string>URW</string>
+		</edit>
+	</match>
+
+	<!-- Symbol --> 
+	<match target="pattern">
+		<test name="family">
+			<string>Symbol</string>
+		</test>
+		<test name="foundry">
+			<string>Adobe</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Symbols L</string>
+		</edit>
+		<edit name="foundry" mode="prepend" binding="same">
+			<string>URW</string>
+		</edit>
+	</match>
+
+	<!-- Times --> 
+	<match target="pattern">
+		<test name="family">
+			<string>Times</string>
+		</test>
+		<test name="foundry">
+			<string>Adobe</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Nimbus Roman No9 L</string>
+		</edit>
+		<edit name="foundry" mode="prepend" binding="same">
+			<string>URW</string>
+		</edit>
+	</match>
+
+	<!-- Charter --> 
+	<match target="pattern">
+		<test name="family">
+			<string>Charter</string>
+		</test>
+		<test name="foundry">
+			<string>Bitstream</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Bitstream Charter</string>
+		</edit>
+		<edit name="foundry" mode="prepend" binding="same">
+			<string>Bitstream</string>
+		</edit>
+	</match>
+
+	<!-- Lucida -->
+	<match target="pattern">
+		<test name="family">
+			<string>Lucida</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Luxi Sans</string>
+		</edit>
+		<edit name="foundry" mode="prepend" binding="same">
+			<string>B&amp;H</string>
+		</edit>
+	</match>
+
+	<!-- LucidaBright -->
+	<match target="pattern">
+		<test name="family">
+			<string>LucidaBright</string>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Luxi Serif</string>
+		</edit>
+		<edit name="foundry" mode="prepend" binding="same">
+			<string>B&amp;H</string>
+		</edit>
+	</match>
+
+	<!-- LucidaTypewriter -->
+	<match target="pattern">
+		<test name="family">
+			<string>LucidaTypewriter</string>
+		</test>
+		<test name="pixelsize" compare="more_eq">
+			<double>8.0</double>
+		</test>
+		<edit name="family" mode="prepend" binding="same">
+			<string>Luxi Mono</string>
+		</edit>
+		<edit name="foundry" mode="prepend" binding="same">
+			<string>B&amp;H</string>
+		</edit>
+	</match>
+</fontconfig>
diff -Naur fontconfig-2.5.91/conf.d/Makefile.am fontconfig-2.5.91-p/conf.d/Makefile.am
--- fontconfig-2.5.91/conf.d/Makefile.am	2008-01-10 19:43:05.000000000 +0100
+++ fontconfig-2.5.91-p/conf.d/Makefile.am	2008-01-18 01:29:24.000000000 +0100
@@ -25,6 +25,7 @@
 	README
 
 CONF_FILES = \
+	00-frugalware.conf \
 	10-autohint.conf \
 	10-no-sub-pixel.conf \
 	10-sub-pixel-bgr.conf \
@@ -32,10 +33,12 @@
 	10-sub-pixel-vbgr.conf \
 	10-sub-pixel-vrgb.conf \
 	10-unhinted.conf \
+	10-fw-autohinting.conf \
 	20-fix-globaladvance.conf \
 	20-unhint-small-vera.conf \
 	25-unhint-nonlatin.conf \
 	30-urw-aliases.conf \
+	30-fw-urw.conf \
 	30-metric-aliases.conf \
 	40-nonlatin.conf \
 	45-latin.conf \
@@ -48,14 +51,18 @@
 	65-nonlatin.conf \
 	69-unifont.conf \
 	70-no-bitmaps.conf \
+	70-fw-no-bitmap.conf \
 	70-yes-bitmaps.conf \
 	80-delicious.conf \
 	90-synthetic.conf
 
 CONF_LINKS = \
+	00-frugalware.conf \
+	10-fw-autohinting.conf \
+	10-sub-pixel-rgb.conf \
 	20-fix-globaladvance.conf \
 	20-unhint-small-vera.conf \
-	30-urw-aliases.conf \
+	30-fw-urw.conf \
 	30-metric-aliases.conf \
 	40-nonlatin.conf \
 	45-latin.conf \
@@ -66,6 +73,7 @@
 	65-fonts-persian.conf \
 	65-nonlatin.conf \
 	69-unifont.conf \
+	70-yes-bitmaps.conf \
 	80-delicious.conf \
 	90-synthetic.conf
 
@@ -74,12 +82,17 @@
 configdir=$(CONFDIR)
 confavaildir=$(configdir)/conf.avail
 confddir=$(configdir)/conf.d
+conffdir=$(configdir)/frugalware.d
 
 confavail_DATA=$(CONF_FILES)
 confd_DATA=$(DOC_FILES)
 
 install-data-local:
 	mkdir -p ${DESTDIR}${confddir}
+	@(echo cd ${DESTDIR}${confiddir}; \
+	 cd ${DESTDIR}${configdir}; \
+	 ln -sf conf.d frugalware.d; \
+	)
 	@(echo cd ${DESTDIR}${confddir}; \
 	 cd ${DESTDIR}${confddir}; \
 	 for i in ${CONF_LINKS}; do \
